### Hierarchy

- SwitcherListItem

## Index

### Inputs

- active
- route
- routeExtras
- href
- target

### Outputs

- navigation

### Constructors

- constructor

### Properties

- _href
- _target
- active
- domSanitizer
- itemClass
- itemRole
- navigation
- route
- routeExtras
- router

### Accessors

- href
- target

### Methods

- navigate

## Constructors

### constructor

- new SwitcherListItem(domSanitizer: DomSanitizer, router: Router): SwitcherListItem

- - Defined in src/ui-shell/panel/switcher-list-item.component.ts:80

  #### Parameters

  - ##### domSanitizer: DomSanitizer

  - ##### router: Router

  #### Returns SwitcherListItem

## Properties

### Protected _href

_href: string = "javascript:void(0)"

- Defined in src/ui-shell/panel/switcher-list-item.component.ts:79

### Protected _target

_target: string = ""

- Defined in src/ui-shell/panel/switcher-list-item.component.ts:80

### active

@Input()
active: boolean = false

- Defined in src/ui-shell/panel/switcher-list-item.component.ts:34

### Protected domSanitizer

domSanitizer: DomSanitizer

- Defined in src/ui-shell/panel/switcher-list-item.component.ts:82

### itemClass

@HostBinding({"hostPropertyName":"class.bx--switcher__item"})
itemClass: boolean = true

- Defined in src/ui-shell/panel/switcher-list-item.component.ts:75

### itemRole

@HostBinding({"hostPropertyName":"attr.role"})
itemRole: string = "listitem"

- Defined in src/ui-shell/panel/switcher-list-item.component.ts:77

### navigation

@Output()
navigation: EventEmitter<Promise<boolean>> = new EventEmitter<Promise<boolean>>()

- Defined in src/ui-shell/panel/switcher-list-item.component.ts:58

### route

@Input()
route: any[]

- Defined in src/ui-shell/panel/switcher-list-item.component.ts:40

### routeExtras

@Input()
routeExtras: any

- Defined in src/ui-shell/panel/switcher-list-item.component.ts:46

### Protected router

@Optional()
router: Router

- Defined in src/ui-shell/panel/switcher-list-item.component.ts:82

## Accessors

### href

@Input()
href:

- Defined in src/ui-shell/panel/switcher-list-item.component.ts:51
- Defined in src/ui-shell/panel/switcher-list-item.component.ts:60

### target

@Input()
target:

- Defined in src/ui-shell/panel/switcher-list-item.component.ts:67
- Defined in src/ui-shell/panel/switcher-list-item.component.ts:71

## Methods

### navigate

- navigate(event: any): void

- - Defined in src/ui-shell/panel/switcher-list-item.component.ts:84

  #### Parameters

  - ##### event: any

  #### Returns void

Generated using TypeDoc